Subject: Re: [PATCH] fast-import: Stream very large blobs directly to pack

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 1 Feb 2010 07:23:24 -0800

Junio C Hamano <[email-masked]> wrote:
> Junio C Hamano <[email-masked]> writes:
> > "Shawn O. Pearce" <[email-masked]> writes:
> >
> >> I was intentionally slating this for maint, to fix a bug a user
> >> reported when handling large streams.
> >
> > I personally see that as adding a new feature (especially with new option
> > and config).
> 
> Sorry, but I take it back.  The new codepath triggers even without any
> explicit request and _fixes_ the situation where old code simply failed,
> so it is worth queuing for the maintenance track.

Thanks.
 
> Do you want to do the deflatebound thing, or are we Ok without?

No, I think we're OK without it.  The pack size limit stuff is only
a rough guess anyway.  I never meant for us to be sticking to it to
within a byte.  It was only meant to keep us from shoving a 100 MiB
blob onto the end of a pack once we got close to the size requested
by the user.

-- 
Shawn.